## Introduction

This is a helper tool for fetch content from TYPO3 Flow / Neos installation on a remote server to your local computer running with docker.

## Dependency

This is requires that your TYPO3 Flow / Neos installation is configured to run with `dockerflow` package. See https://github.com/Sebobo/Shel.DockerFlow

## Installation

Add the `syncontent` package into your `composer.json` file and update `composer.lock`. It is recommended to add in the `require-dev` section of your composer.

```
"visay/syncontent": "dev-master"
```

## Usage

In the root directory of your project, execute:

```bash
bin/syncontent latest-014-073
```

- Replace the user `latest-014-073` with the one you want to get content from.
- You need to make sure that you have auto login with public key to `latest-014-073@10.10.10.27`
- Only `latest` or `demo` is supported at the moment. We don't recommend you to have autologin access to the live site
- You can only run the command from the root directory of your project

### Customization

If you are lazy typing the user again and again, you can define it by creating a file in `Packages/Libraries/visay/syncontent/config/master` with the name as user of the server you want to use.

```
Packages
└── Libraries
	└── visay
		└── syncontent
			├── ansible
			├── bin
			├── composer.json
			├── config
			│   └── master
			│       └── latest-014-073
			└── README.md
```

With this file, you can now execute the content sync with just:

```bash
bin/syncontent
```

And the script will automatically take `latest-014-073` as the content master.

- There should be only one master at a time. That means you should not have more than more file in the `config/master` directory. In case there are more than one file exists, the script will take first file only to process.

## Author

Visay Keo <visay@web-essentials.asia>

If you have any feedback, comments and/or questions, feel free to contact with email address above. And of course, a merge request is always welcomed.
